> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extruct.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> Get details about the authenticated user.

# Get Extruct User

## Overview

This endpoint returns details about the authenticated user, including available credits.
Use it as your first authenticated request to validate API access.

## Example request

```bash theme={null}
export EXTRUCT_API_TOKEN="YOUR_API_TOKEN"

curl --get "https://api.extruct.ai/v1/user" \
  -H "Authorization: Bearer ${EXTRUCT_API_TOKEN}"
```

## Key parameters

* `Authorization` header (required): `Bearer ${EXTRUCT_API_TOKEN}`.

## Success signal

A successful response includes `email` and `available_credits`.

## Common errors

### `401 Unauthorized`

Check that your token is valid and the header includes `Bearer ` prefix.

## Related guides

* [Authentication](/api-reference/authentication)


## OpenAPI

````yaml get /v1/user
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/user:
    get:
      tags:
        - user
      summary: Get Extruct User
      operationId: get_extruct_user_v1_user_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserOutput'
      security:
        - HTTPBearer: []
components:
  schemas:
    UserOutput:
      properties:
        user_id:
          type: string
          title: User Id
        email:
          type: string
          title: Email
        available_credits:
          type: integer
          title: Available Credits
        organization_id:
          anyOf:
            - type: string
            - type: 'null'
        organization_name:
          anyOf:
            - type: string
            - type: 'null'
        organization_slug:
          anyOf:
            - type: string
            - type: 'null'
        organization_is_active:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - user_id
        - email
        - available_credits
      title: UserOutput
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````